import request from '@/utils/request'

export function getProducePlanPage(data) {
  return request({
    url: '/js-producePlan/page',
    method: 'get',
    params: data
  })
}

export function getProducePlanList(data) {
  return request({
    url: '/js-producePlan/list',
    method: 'post',
    data: data
  })
}

export function getProducePlanDetail(data) {
  return  request({
    url: '/js-producePlan/listById',
    method: 'get',
    params: data
  })
}

export function addProducePlanPage(data) {
  return request({
    url: '/js-producePlan/add',
    method: 'post',
    data: data
  })
}

export function editProducePlanPage(data) {
  return request({
    url: '/js-producePlan/edit',
    method: 'post',
    data: data
  })
}

export function delProducePlanPage(data) {
  return request({
    url: '/js-producePlan/delete',
    method: 'post',
    data: data
  })
}


export function getLastPlan() {
  return  request({
    url: '/js-producePlan/lastPlan',
    method: 'get'
  })
}
